#include "deftype.h"

int kmemchar(unchar *buff,int len,unint c)
/* buffの中から指定文字（全角文字可）を捜しその位置を返す */
{
int i;
unsint cc;
	for (i=0;i<len;i++) {
		cc=*buff++;
		if (check_kanji1(cc)) {
			if (i+1>=len) break; /* overするときはなし */
			cc=(cc<<8)|*buff++;
		}
		if (cc==c) return(i);
		if (cc>=256) i++;
	}
	return(-1);
}
